### Function

# Camel search_util_make_time

since: 3.58

#### Declaration [src]

    time_t
    camel_search_util_make_time (
      gint argc,
      CamelSExpResult** argv
    )

#### Description [src]

Implementation of ‘make-time’ function, which expects one argument, a string or an integer, to be converted into time_t.

Available since: 3.58

#### Parameters

`argc`

  Type: `gint`

  Number of arguments in `argv`.

`argv`

  Type: `CamelSExpResult`

  Array or arguments.

  The data is owned by the caller of the function.

#### Return value

Type: `time_t`

Time_t equivalent of the passed in argument, or (time_t) -1 on error.